terraform {

  backend "s3" {
    bucket         = "edebrye-cloud-monitor-tfstate"
    key            = "cloud-monitor-app.tfstate"
    region         = "eu-west-1"
    encrypt        = true
    dynamodb_table = "edebrye-cloud-monitor-tfstate-lock"
  }

  required_providers {
    aws = {
      version = ">= 3.30.0"
      source  = "hashicorp/aws"
    }

    archive = {
      version = ">=2.1.0"
      source  = "hashicorp/archive"
    }
  }
}

provider "aws" {
  region = var.aws_region
}

locals {
  prefix = "${var.prefix}-${terraform.workspace}"
  common_tags = {
    Environment = terraform.workspace
    Project     = var.project
    Owner       = var.contact
    ManagedBy   = "Terraform"
  }
}

data "aws_region" "current" {}